# &kde;-Benutzerhandbuch

Lauri
Watts
Ursprüngliche Version der &ark;-Handbuchseite
Raphael
Kubo da Costa
Aktualisierung der &ark;-Handbuchseite
2013-08-23
2.19 (&kde; 4.11)
K Desktop Environment
ark
1

# `ark`

&kde;-Archivprogramm

    ark -b -a -e -c -f  erweiterung -p -t  datei -d -o  ordner Allgemeine &kde;-Optionen Allgemeine &Qt;-Option

## Beschreibung

&ark; ist ein Programm zur Verwaltung verschiedener komprimierter Archivformate in &kde;. Mit &ark; können Archive angezeigt, ausgepackt, erzeugt und bearbeitet werden. Das Programm beherrscht verschiedene Format wie tar, gzip, bzip2, zip und rar. Hierzu müssen die entsprechenden Befehlszeilenprogramme installiert sein.

## Arbeitsmodi

&ark; kann sowohl als eigenständiges Programm mit grafischer Benutzeroberfläche wie auch als Befehlszeilenprogramm für bestimmte Aufgaben eingesetzt werden.

Wird &ark; ohne die Optionen -b (--batch) or -c (--add) aufgerufen, started es mit der grafischen Benutzeroberfläche.

Mit der Option -b (--batch) kann &ark; verwendet werden, um den Inhalt von einer oder mehrerer Dateien direkt von der Befehlszeile aus zu extrahieren, ohne dazu die grafische Benutzeroberfläche zu starten.

Wird die Option -c (--add) benutzt, fragt &ark; nach den Dateien, die zum neuen Archiv oder zu einem vorhandenen Archiv hinzugefügt werden sollen.

## Aufrufparameter

`-d, --dialog`

  Zeigt einen Dialog für die Angabe von Einstellungen für eine Stapelverarbeitung oder das Hinzufügen an.

`-o, --destination ordner`

  Zielordner für das Entpacken nach ordner. Ohne diese Option wird der aktuelle Ordner verwendet.

### Einstellungen für das Hinzufügen von Dateien

`-c, --add`

  Fragt den Benutzer nach einem Archivnamen und fügt die angegebenen Dateien hinzu. &ark; wird beendet, wenn die Aktion abgeschlossen ist.

`-t, --add-to dateiname`

  Die angegebenen Dateien zu dateiname hinzufügen. Erzeugt ein neues Archiv, falls noch keines mit diesem Namen existiert. &ark; wird beendet, wenn die Aktion abgeschlossen ist.

`-p, --changetofirstpath`

  Aktuellen Ordner gemäß erstem Eintrag ändern und alle anderen Einträge relativ dazu hinzufügen.

`-f, --autofilename erweiterung`

  Automatisch einen Dateinamen mit der angegeben Dateierweiterung (&eg; rar, tar.gz, zip oder ein andere unterstützter Typ) wählen.

### Einstellungen für das Entpacken mittels Stapelverarbeitung

`-b, --batch`

  Die Stapelverarbeitungsschnittstelle anstelle des normalen Dialogs verwenden. Diese Einstellung wird angenommen, wenn mehr als eine Adresse angegeben wird.

`-e, --autodestination`

  Das Ziel wird auf den Pfad der ersten angegebenen Datei gesetzt.

`-a, --autosubfolder`

  Der Archivinhalt wird gelesen. Falls es sich um ein Archiv mit mehr als einem Ordner handelt, wird ein Unterordner mit dem Namen des Archivs erstellt.

## Beispiele

``ark` `--batch` archive.tar.bz2`

  Entpackt das Archiv archive.tar.bz2 in den aktuellen Ordner, ohne die grafische Benutzeroberfläche zu starten.

``ark` `-b` `-d` archive.tar.bz2 archive2.zip`

  Zuerst wird ein Dialog mit Optionen zum Entpacken angezeigt, dann werden beide Archive archive.tar.bz2 und archive2.zip in den Ordner entpackt, der im Dialog ausgewählt wurde.

``ark` `--add-to` mein-archiv.zip photo1.jpg text.txt`

  Erstellt mein-archiv.zip, sofern dieses Archiv noch nicht existiert und fügt dann photo1.jpg und text.txt hinzu.

## Autoren

&Harald.Hvaal; &Harald.Hvaal.mail; und &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail; sind zurzeit die Betreuer von &ark;.

Diese Handbuchseite wurde von &Lauri.Watts;&Lauri.Watts.mail; für &kde; 3.4 geschrieben und wurde 2009 durch &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;. überarbeitet.